rte_regexdev_core.h(3)

NAME
rte_regexdev_core.h

SYNOPSIS

  Data Structures

struct rte_regexdev_ops

  Enumerations

enum rte_regexdev_state { RTE_REGEXDEV_UNUSED = 0, RTE_REGEXDEV_REGISTERED, RTE_REGEXDEV_READY }

Detailed Description

RTE RegEx Device internal header.

This header contains internal data types, that are used by the RegEx devices in order to expose their ops to the class.

Applications should not use these API directly.

Definition in file rte_regexdev_core.h.

Enumeration Type Documentation

  enum rte_regexdev_state
Possible states of a RegEx device.

Enumerator

RTE_REGEXDEV_UNUSED
    Device is unused.

RTE_REGEXDEV_REGISTERED
    Device is registered, but not ready to be used.

RTE_REGEXDEV_READY
    Device is ready for use. This is set by the PMD.

Definition at line 132 of file rte_regexdev_core.h.

Author

Generated automatically by Doxygen for DPDK from the source code.